My Project: dht::Bucket Struct Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
dht::Bucket Struct Reference
Collaboration diagram for dht::Bucket:
[legend]

## Public Member Functions
| Bucket (sa_family_t af, const InfoHash &f={}, time_point t=time_point::min())
Sp< Node > | randomNode (std::mt19937_64 &rd)
void | sendCachedPing (net::NetworkEngine &ne)
void | connectivityChanged ()

## Public Attributes
sa_family_t | af {0}
InfoHash | first {}
time_point | time {time_point::min()}
std::list< Sp< Node > > | nodes {}
Sp< Node > | cached

## Detailed Description

Definition at line 14 of file routing_table.h.

## Constructor & Destructor Documentation

## ◆ Bucket() [1/2]

dht::Bucket::Bucket | ( |  | ) |
| inline

Definition at line 16 of file routing_table.h.

## ◆ Bucket() [2/2]

dht::Bucket::Bucket | ( | sa_family_t | af,
|  | const InfoHash & | f = {},
|  | time_point | t = time_point::min() )
| inline

Definition at line 19 of file routing_table.h.

## Member Function Documentation

## ◆ connectivityChanged()

void dht::Bucket::connectivityChanged | ( |  | ) |
| inline

Definition at line 35 of file routing_table.h.

## ◆ randomNode()

Sp< Node > dht::Bucket::randomNode | ( | std::mt19937_64 & | rd | ) |

Return a random node in a bucket.

## Member Data Documentation

## ◆ af

sa_family_t dht::Bucket::af {0}

Definition at line 25 of file routing_table.h.

## ◆ cached

Sp<Node> dht::Bucket::cached

Definition at line 29 of file routing_table.h.

## ◆ first

InfoHash dht::Bucket::first {}

Definition at line 26 of file routing_table.h.

## ◆ nodes

std::list<Sp<Node> > dht::Bucket::nodes {}

Definition at line 28 of file routing_table.h.

## ◆ time

time_point dht::Bucket::time {time_point::min()}

Definition at line 27 of file routing_table.h.

The documentation for this struct was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/routing_table.h